<mamecheat version="1">

  <cheat desc="Select Next Level">
    <parameter min="0" max="153" step="1"/>
    <script state="change">
      <action>maincpu.pb@904001=(param)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time Bonus Levels">
    <script state="run">
      <action>maincpu.pb@90484C=04</action>
    </script>
  </cheat>

  <cheat desc="Open all doors Now!"> <comment>Activate this cheat when you are not killing or about to be hit otherwise it may not work on the first activation</comment>
    <script state="on">
      <action>maincpu.pb@904B16=0A</action>
      <action>maincpu.pb@904B17=7B</action>
    </script>
  </cheat>

  <cheat desc="Turn walls to Exits Now!"> <comment>Activate this cheat when you are not killing or about to be hit otherwise it may not work on the first activation</comment>
    <script state="on">
      <action>maincpu.pb@904B22=2E</action>
      <action>maincpu.pb@904B23=CF</action>
    </script>
  </cheat>

  <cheat desc="Freeze All Enemies"> <comment>Not strictly true they will head the direction they are pointing till they hit a wall and they will then stop</comment>
    <script state="run">
      <action>maincpu.pb@904007=35</action>
    </script>
  </cheat>

  <cheat desc="Walk Through Walls" tempvariables="17"> <comment>Any part of a wall you walk through will leave behind invisible gaps for anything else to walk through too.</comment>
    <script state="on">
      <action>temp0 =maincpu.md@009914</action>
      <action>temp1 =maincpu.md@006E00</action>
      <action>temp2 =maincpu.md@006E04</action>
      <action>temp3 =maincpu.md@006E08</action>
      <action>temp4 =maincpu.md@006E0C</action>
      <action>temp5 =maincpu.md@006E10</action>
      <action>temp6 =maincpu.md@006E14</action>
      <action>temp7 =maincpu.md@006E18</action>
      <action>temp8 =maincpu.md@0097E6</action>
      <action>temp9 =maincpu.md@006E1C</action>
      <action>temp10=maincpu.md@006E20</action>
      <action>temp11=maincpu.md@006E24</action>
      <action>temp12=maincpu.md@006E28</action>
      <action>temp13=maincpu.md@006E2C</action>
      <action>temp14=maincpu.md@006E30</action>
      <action>temp15=maincpu.md@006E34</action>
      <action>temp16=maincpu.md@006E38</action>
    </script>
    <script state="run">
      <action>maincpu.md@009914=4EF86E00</action>
      <action>maincpu.md@006E00=D4C10C12</action> <!-- Parts 1-8 First Part of Wall, Parts 9-17 Rest of Wall -->
      <action>maincpu.md@006E04=0080670C</action>
      <action>maincpu.md@006E08=94C14A72</action>
      <action>maincpu.md@006E0C=10004EF9</action>
      <action>maincpu.md@006E10=00009918</action>
      <action>maincpu.md@006E14=94C14EF9</action>
      <action>maincpu.md@006E18=00009952</action>
      <action>maincpu.md@0097E6=4EF86E1C</action>
      <action>maincpu.md@006E1C=D4C10C52</action>
      <action>maincpu.md@006E20=8000670C</action>
      <action>maincpu.md@006E24=94C14A72</action>
      <action>maincpu.md@006E28=10004EF9</action>
      <action>maincpu.md@006E2C=000097EA</action>
      <action>maincpu.md@006E30=94C14A72</action>
      <action>maincpu.md@006E34=10004EF9</action>
      <action>maincpu.md@006E38=000097EC</action>
    </script>
    <script state="off">
      <action>maincpu.md@009914=temp0 </action>
      <action>maincpu.md@006E00=temp1 </action>
      <action>maincpu.md@006E04=temp2 </action>
      <action>maincpu.md@006E08=temp3 </action>
      <action>maincpu.md@006E0C=temp4 </action>
      <action>maincpu.md@006E10=temp5 </action>
      <action>maincpu.md@006E14=temp6 </action>
      <action>maincpu.md@006E18=temp7 </action>
      <action>maincpu.md@0097E6=temp8 </action>
      <action>maincpu.md@006E1C=temp9 </action>
      <action>maincpu.md@006E20=temp10</action>
      <action>maincpu.md@006E24=temp11</action>
      <action>maincpu.md@006E28=temp12</action>
      <action>maincpu.md@006E2C=temp13</action>
      <action>maincpu.md@006E30=temp14</action>
      <action>maincpu.md@006E34=temp15</action>
      <action>maincpu.md@006E38=temp16</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048D6=27</action>
      <action>maincpu.pb@9048D9=10</action>
    </script>
  </cheat>

  <cheat desc="Always have No Power-Up (Warrior)">
    <script state="run">
      <action>maincpu.pb@904AF9=00</action>
    </script>
  </cheat>

  <cheat desc="Get Partial Invisibility Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=01|(maincpu.pb@904AF9 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Power Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=02|(maincpu.pb@904AF9 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Magic Power Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=04|(maincpu.pb@904AF9 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Speed Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=08|(maincpu.pb@904AF9 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Sun Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=16|(maincpu.pb@904AF9 BAND ~16)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shield Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=32|(maincpu.pb@904AF9 BAND ~32)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Speed Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=64|(maincpu.pb@904AF9 BAND ~64)</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Power Now! (Warrior)">
    <script state="on">
      <action>maincpu.pb@904AF9=7E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048EA=05</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048EA=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048E6=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048DA=27</action>
      <action>maincpu.pb@9048DD=10</action>
    </script>
  </cheat>

  <cheat desc="Always have No Power-Up (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@904AFB=00</action>
    </script>
  </cheat>

  <cheat desc="Get Partial Invisibility Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=01|(maincpu.pb@904AFB BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Power Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=02|(maincpu.pb@904AFB BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Magic Power Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=04|(maincpu.pb@904AFB BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Speed Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=08|(maincpu.pb@904AFB BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Sun Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=16|(maincpu.pb@904AFB BAND ~16)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shield Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=32|(maincpu.pb@904AFB BAND ~32)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Speed Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=64|(maincpu.pb@904AFB BAND ~64)</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Power Now! (Valkyrie)">
    <script state="on">
      <action>maincpu.pb@904AFB=7E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048EB=05</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048EB=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048E7=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048DE=27</action>
      <action>maincpu.pb@9048E1=10</action>
    </script>
  </cheat>

  <cheat desc="Always have No Power-Up (Wizard)">
    <script state="run">
      <action>maincpu.pb@904AFD=00</action>
    </script>
  </cheat>

  <cheat desc="Get Partial Invisibility Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=01|(maincpu.pb@904AFD BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Power Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=02|(maincpu.pb@904AFD BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Magic Power Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=04|(maincpu.pb@904AFD BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Speed Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=08|(maincpu.pb@904AFD BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Sun Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=16|(maincpu.pb@904AFD BAND ~16)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shield Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=32|(maincpu.pb@904AFD BAND ~32)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Speed Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=64|(maincpu.pb@904AFD BAND ~64)</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Power Now! (Wizard)">
    <script state="on">
      <action>maincpu.pb@904AFD=7E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048EC=05</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048EC=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048E8=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Elf)">
    <script state="run">
      <action>maincpu.pb@9048E2=27</action>
      <action>maincpu.pb@9048E5=10</action>
    </script>
  </cheat>

  <cheat desc="Always have No Power-Up (Elf)">
    <script state="run">
      <action>maincpu.pb@904AFF=00</action>
    </script>
  </cheat>

  <cheat desc="Get Partial Invisibility Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=01|(maincpu.pb@904AFF BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Power Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=02|(maincpu.pb@904AFF BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Magic Power Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=04|(maincpu.pb@904AFF BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shot Speed Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=08|(maincpu.pb@904AFF BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Sun Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=16|(maincpu.pb@904AFF BAND ~16)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Shield Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=32|(maincpu.pb@904AFF BAND ~32)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Speed Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=64|(maincpu.pb@904AFF BAND ~64)</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum Power Now! (Elf)">
    <script state="on">
      <action>maincpu.pb@904AFF=7E</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Elf)">
    <script state="run">
      <action>maincpu.pb@9048ED=05</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Elf)">
    <script state="run">
      <action>maincpu.pb@9048ED=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Elf)">
    <script state="run">
      <action>maincpu.pb@9048E9=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
